<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::capabilityAgents::interactionModel::test::InteractionModelCapabilityAgentTest Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents.html">capabilityAgents</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1interaction_model.html">interactionModel</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1interaction_model_1_1test.html">test</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1interaction_model_1_1test_1_1_interaction_model_capability_agent_test.html">InteractionModelCapabilityAgentTest</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classalexa_client_s_d_k_1_1capability_agents_1_1interaction_model_1_1test_1_1_interaction_model_capability_agent_test-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::capabilityAgents::interactionModel::test::InteractionModelCapabilityAgentTest Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Test harness for <code><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1interaction_model_1_1_interaction_model_capability_agent.html">InteractionModelCapabilityAgent</a></code> class.  
 <a href="classalexa_client_s_d_k_1_1capability_agents_1_1interaction_model_1_1test_1_1_interaction_model_capability_agent_test.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for alexaClientSDK::capabilityAgents::interactionModel::test::InteractionModelCapabilityAgentTest:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1capability_agents_1_1interaction_model_1_1test_1_1_interaction_model_2ddf71e7c45faf2170360c4a797f5b3b.png" border="0" usemap="#alexa_client_s_d_k_1_1capability_agents_1_1interaction_model_1_1test_1_1_interaction_model_capability_agent_test_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1capability_agents_1_1interaction_model_1_1test_1_1_interaction_model_capability_agent_test_inherit__map" id="alexa_client_s_d_k_1_1capability_agents_1_1interaction_model_1_1test_1_1_interaction_model_capability_agent_test_inherit__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for alexaClientSDK::capabilityAgents::interactionModel::test::InteractionModelCapabilityAgentTest:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1capability_agents_1_1interaction_model_1_1test_1_1_interaction_model_f629b83420f014b18a1831c63055fce2.png" border="0" usemap="#alexa_client_s_d_k_1_1capability_agents_1_1interaction_model_1_1test_1_1_interaction_model_capability_agent_test_coll__map" alt="Collaboration graph"/></div>
<map name="alexa_client_s_d_k_1_1capability_agents_1_1interaction_model_1_1test_1_1_interaction_model_capability_agent_test_coll__map" id="alexa_client_s_d_k_1_1capability_agents_1_1interaction_model_1_1test_1_1_interaction_model_capability_agent_test_coll__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a7c4b73aae53dcf33dd4f4eda9464c0f2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1interaction_model_1_1test_1_1_interaction_model_capability_agent_test.html#a7c4b73aae53dcf33dd4f4eda9464c0f2">SetUp</a> () override</td></tr>
<tr class="memdesc:a7c4b73aae53dcf33dd4f4eda9464c0f2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set up the test harness for running a test.  <a href="#a7c4b73aae53dcf33dd4f4eda9464c0f2">More...</a><br /></td></tr>
<tr class="separator:a7c4b73aae53dcf33dd4f4eda9464c0f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a3ddfbcdeb83f3c7b1ba83fb4f8125d4b"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1interaction_model_1_1_interaction_model_capability_agent.html">InteractionModelCapabilityAgent</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1interaction_model_1_1test_1_1_interaction_model_capability_agent_test.html#a3ddfbcdeb83f3c7b1ba83fb4f8125d4b">m_interactionModelCA</a></td></tr>
<tr class="memdesc:a3ddfbcdeb83f3c7b1ba83fb4f8125d4b"><td class="mdescLeft">&#160;</td><td class="mdescRight">The <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1interaction_model_1_1_interaction_model_capability_agent.html">InteractionModelCapabilityAgent</a> instance to be tested.  <a href="#a3ddfbcdeb83f3c7b1ba83fb4f8125d4b">More...</a><br /></td></tr>
<tr class="separator:a3ddfbcdeb83f3c7b1ba83fb4f8125d4b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adafcd810d2296ff71f44a9ee2adfbb5a"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1test_1_1_mock_directive_sequencer.html">avsCommon::sdkInterfaces::test::MockDirectiveSequencer</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1interaction_model_1_1test_1_1_interaction_model_capability_agent_test.html#adafcd810d2296ff71f44a9ee2adfbb5a">m_mockDirectiveSequencer</a></td></tr>
<tr class="memdesc:adafcd810d2296ff71f44a9ee2adfbb5a"><td class="mdescLeft">&#160;</td><td class="mdescRight">The mock <code>DirectiveSequencerInterface</code>.  <a href="#adafcd810d2296ff71f44a9ee2adfbb5a">More...</a><br /></td></tr>
<tr class="separator:adafcd810d2296ff71f44a9ee2adfbb5a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4af64097c8c733055497ee399e228d38"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1test_1_1_mock_exception_encountered_sender.html">avsCommon::sdkInterfaces::test::MockExceptionEncounteredSender</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1interaction_model_1_1test_1_1_interaction_model_capability_agent_test.html#a4af64097c8c733055497ee399e228d38">m_mockExceptionEncounteredSender</a></td></tr>
<tr class="memdesc:a4af64097c8c733055497ee399e228d38"><td class="mdescLeft">&#160;</td><td class="mdescRight">The mock <code>ExceptionEncounteredSenderInterface</code>.  <a href="#a4af64097c8c733055497ee399e228d38">More...</a><br /></td></tr>
<tr class="separator:a4af64097c8c733055497ee399e228d38"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class="">Test harness for <code><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1interaction_model_1_1_interaction_model_capability_agent.html">InteractionModelCapabilityAgent</a></code> class. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a7c4b73aae53dcf33dd4f4eda9464c0f2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7c4b73aae53dcf33dd4f4eda9464c0f2">&#9670;&nbsp;</a></span>SetUp()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::capabilityAgents::interactionModel::test::InteractionModelCapabilityAgentTest::SetUp </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Set up the test harness for running a test. </p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a3ddfbcdeb83f3c7b1ba83fb4f8125d4b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3ddfbcdeb83f3c7b1ba83fb4f8125d4b">&#9670;&nbsp;</a></span>m_interactionModelCA</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1interaction_model_1_1_interaction_model_capability_agent.html">InteractionModelCapabilityAgent</a>&gt; alexaClientSDK::capabilityAgents::interactionModel::test::InteractionModelCapabilityAgentTest::m_interactionModelCA</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1interaction_model_1_1_interaction_model_capability_agent.html">InteractionModelCapabilityAgent</a> instance to be tested. </p>

</div>
</div>
<a id="adafcd810d2296ff71f44a9ee2adfbb5a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adafcd810d2296ff71f44a9ee2adfbb5a">&#9670;&nbsp;</a></span>m_mockDirectiveSequencer</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1test_1_1_mock_directive_sequencer.html">avsCommon::sdkInterfaces::test::MockDirectiveSequencer</a>&gt; alexaClientSDK::capabilityAgents::interactionModel::test::InteractionModelCapabilityAgentTest::m_mockDirectiveSequencer</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The mock <code>DirectiveSequencerInterface</code>. </p>

</div>
</div>
<a id="a4af64097c8c733055497ee399e228d38"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4af64097c8c733055497ee399e228d38">&#9670;&nbsp;</a></span>m_mockExceptionEncounteredSender</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1test_1_1_mock_exception_encountered_sender.html">avsCommon::sdkInterfaces::test::MockExceptionEncounteredSender</a>&gt; alexaClientSDK::capabilityAgents::interactionModel::test::InteractionModelCapabilityAgentTest::m_mockExceptionEncounteredSender</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The mock <code>ExceptionEncounteredSenderInterface</code>. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/workplace/avs-device-sdk/CapabilityAgents/InteractionModel/test/<a class="el" href="_interaction_model_capability_agent_test_8cpp.html">InteractionModelCapabilityAgentTest.cpp</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
